Bug 223802

Summary: [Cocoa] Allow HTMLMediaElement preload > "metadata" on iPad by default
Product: WebKit Reporter: Jer Noble <jer.noble>
Component: New BugsAssignee: Jer Noble <jer.noble>
Status: RESOLVED FIXED    
Severity: Normal CC: eric.carlson, peng.liu6, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
eric.carlson: review+
Patch none

Description Jer Noble 2021-03-26 09:55:06 PDT
[Cocoa] Allow HTMLMediaElement preload > "metadata" on iPad by default
Comment 1 Jer Noble 2021-03-26 09:57:16 PDT
Created attachment 424368 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-03-29 13:55:17 PDT
<rdar://problem/75971620>
Comment 3 Peng Liu 2021-03-29 13:58:49 PDT
Comment on attachment 424368 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=424368&action=review

> Source/WebKit/UIProcess/API/Cocoa/WKWebViewConfiguration.mm:199
> +    _mediaDataLoadsAutomatically = !_allowsInlineMediaPlayback;

Not a problem of this patch. I am curious whether we can move this line out of the macro.
Comment 4 Jer Noble 2021-04-13 16:13:03 PDT
<rdar://75302974>
Comment 5 Eric Carlson 2021-04-13 16:13:45 PDT
Comment on attachment 424368 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=424368&action=review

>> Source/WebKit/UIProcess/API/Cocoa/WKWebViewConfiguration.mm:199
>> +    _mediaDataLoadsAutomatically = !_allowsInlineMediaPlayback;
> 
> Not a problem of this patch. I am curious whether we can move this line out of the macro.

Isn't this comparison backwards?
Comment 6 Jer Noble 2021-05-04 09:03:43 PDT
Created attachment 427673 [details]
Patch
Comment 7 EWS 2021-05-04 13:27:19 PDT
Committed r276979 (237306@main): <https://commits.webkit.org/237306@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427673 [details].